//
// Written by Aaron Skonnard (aaron@pluralsight.com)
// Blog: http://pluralsight.com/aaron/ 
//

using System;
using Microsoft.Web.Services3.Addressing;
using Microsoft.Web.Services3.Messaging;

namespace Microsoft.Samples.HttpSys
{
    //
    // In WSE, ISoapInputChannel manages the conversation between the network
    // (e.g., HTTP.sys) and a receiver (e.g., an instance of an ASMX class). When 
    // a user calls SoapReceivers.Add, it asks the transport for an instance of
    // ISoapInputChannel that it will use to process incoming messages.
    //
    // Most of the required functionality is provided by the SoapInputChannel 
    // implementation, our base class here. 
    //
	public class HttpSysInputChannel : SoapInputChannel
	{
        //
        // The supplied EndpointReference identifies the target receiver. 
        //
		public HttpSysInputChannel( EndpointReference epr ) : base( epr )
		{
		}
	}
}
